%{?scl:%scl_package mcollective-iptables-agent}
%{!?scl:%global pkg_name %{name}}

Summary: An agent that manipulates a specific single chain with iptables and ip6tables
Name: %{?scl_prefix}mcollective-iptables-agent
Version: 3.0.1
Release: 1%{?dist}
License: ASL 2.0
URL: http://projects.puppetlabs.com/projects/mcollective-plugins/wiki
Vendor: Puppet Labs
Packager: R.I.Pienaar <rip@devco.net>
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: System Tools
Source0: mcollective-iptables-agent-3.0.1.tgz
%{?scl:Requires: %{scl}-runtime}
Requires: %{?scl_prefix}mcollective-common >= 2.2.1
Requires: %{?scl_prefix}mcollective-iptables-common >= 3.0.1

%description
An agent that manipulates a specific single chain with iptables and ip6tables

%prep
%setup -n %{pkg_name}-%{version}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/agent

%{__install} -m0644 usr/libexec/mcollective/mcollective/agent/iptables.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/agent/iptables.rb

%files
%defattr(-,root,root,-)
%{_libexecdir}/mcollective/mcollective/agent/iptables.rb

%changelog
* Thu Jan 17 2013 R.I.Pienaar <rip@devco.net> - 3.0.1-1
- Built Package mcollective-iptables-agent
